Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 4645)
+++ palm/trunk/SOURCE/header.f90	(revision 4646)
@@ -1270,6 +1250,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate information of the
-!--          slices
+!--          Building strings with index and coordinate information of the slices
              DO  WHILE ( section(i,2) /= -9999 )
 
@@ -1285,14 +1264,12 @@
              ENDDO
              IF ( av == 0 )  THEN
-                WRITE ( io, 335 )  'XZ', do2d_xz, dt_do2d_xz, &
-                                   TRIM( begin_chr ), 'j', TRIM( slices ), &
-                                   TRIM( coordinates )
+                WRITE ( io, 335 )  'XZ', do2d_xz, dt_do2d_xz, TRIM( begin_chr ), 'j',              &
+                                   TRIM( slices ), TRIM( coordinates )
                 IF ( skip_time_do2d_xz /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_xz
                 ENDIF
              ELSE
-                WRITE ( io, 342 )  'XZ', do2d_xz, dt_data_output_av, &
-                                   TRIM( begin_chr ), averaging_interval, &
-                                   dt_averaging_input, 'j', TRIM( slices ), &
+                WRITE ( io, 342 )  'XZ', do2d_xz, dt_data_output_av, TRIM( begin_chr ),            &
+                                   averaging_interval, dt_averaging_input, 'j', TRIM( slices ),    &
                                    TRIM( coordinates )
                 IF ( skip_time_data_output_av /= 0.0_wp )  THEN
@@ -1312,6 +1289,5 @@
              coordinates = '/'
 !
-!--          Building strings with index and coordinate information of the
-!--          slices
+!--          Building strings with index and coordinate information of the slices
              DO  WHILE ( section(i,3) /= -9999 )
 
@@ -1327,14 +1303,12 @@
              ENDDO
              IF ( av == 0 )  THEN
-                WRITE ( io, 335 )  'YZ', do2d_yz, dt_do2d_yz, &
-                                   TRIM( begin_chr ), 'i', TRIM( slices ), &
-                                   TRIM( coordinates )
+                WRITE ( io, 335 )  'YZ', do2d_yz, dt_do2d_yz, TRIM( begin_chr ), 'i',              &
+                                   TRIM( slices ), TRIM( coordinates )
                 IF ( skip_time_do2d_yz /= 0.0_wp )  THEN
                    WRITE ( io, 339 )  skip_time_do2d_yz
                 ENDIF
              ELSE
-                WRITE ( io, 342 )  'YZ', do2d_yz, dt_data_output_av, &
-                                   TRIM( begin_chr ), averaging_interval, &
-                                   dt_averaging_input, 'i', TRIM( slices ), &
+                WRITE ( io, 342 )  'YZ', do2d_yz, dt_data_output_av, TRIM( begin_chr ),            &
+                                   averaging_interval, dt_averaging_input, 'i', TRIM( slices ),    &
                                    TRIM( coordinates )
                 IF ( skip_time_data_output_av /= 0.0_wp )  THEN
@@ -1386,9 +1360,7 @@
           ENDIF
           IF ( av == 0 )  THEN
-             WRITE ( io, 337 )  do3d_chr, dt_do3d, TRIM( begin_chr ), &
-                                zu(nz_do3d), nz_do3d
+             WRITE ( io, 337 )  do3d_chr, dt_do3d, TRIM( begin_chr ), zu(nz_do3d), nz_do3d
           ELSE
-             WRITE ( io, 343 )  do3d_chr, dt_data_output_av,           &
-                                TRIM( begin_chr ), averaging_interval, &
+             WRITE ( io, 343 )  do3d_chr, dt_data_output_av, TRIM( begin_chr ), averaging_interval,&
                                 dt_averaging_input, zu(nz_do3d), nz_do3d
           ENDIF
@@ -1415,7 +1387,6 @@
 
 !
-!-- masked arrays
-    IF ( masks > 0 )  WRITE ( io, 345 )  &
-         mask_scale_x, mask_scale_y, mask_scale_z
+!-- Masked arrays
+    IF ( masks > 0 )  WRITE ( io, 345 )  mask_scale_x, mask_scale_y, mask_scale_z
     DO  mid = 1, masks
        DO  av = 0, 1
@@ -1424,6 +1395,5 @@
           domask_chr = ''
           DO  WHILE ( domask(mid,av,i) /= ' ' )
-             domask_chr = TRIM( domask_chr ) // ' ' //  &
-                          TRIM( domask(mid,av,i) ) // ','
+             domask_chr = TRIM( domask_chr ) // ' ' // TRIM( domask(mid,av,i) ) // ','
              i = i + 1
           ENDDO
@@ -1437,6 +1407,6 @@
 
              output_format = netcdf_data_format_string
-!--          Parallel output not implemented for mask data, hence
-!--          output_format must be adjusted.
+!
+!--          Parallel output not implemented for mask data, hence output_format must be adjusted.
              IF ( netcdf_data_format == 5 ) output_format = 'netCDF4/HDF5'
              IF ( netcdf_data_format == 6 ) output_format = 'netCDF4/HDF5 classic'
@@ -1450,6 +1420,6 @@
                 WRITE ( io, 347 )  domask_chr, dt_domask(mid)
              ELSE
-                WRITE ( io, 348 )  domask_chr, dt_data_output_av, &
-                                   averaging_interval, dt_averaging_input
+                WRITE ( io, 348 )  domask_chr, dt_data_output_av, averaging_interval,              &
+                                   dt_averaging_input
              ENDIF
 
@@ -1464,5 +1434,5 @@
              ENDIF
 !
-!--          output locations
+!--          Output locations
              DO  dim = 1, 3
                 IF ( mask(mid,dim,1) >= 0.0_wp )  THEN
@@ -1471,16 +1441,13 @@
                       count = count + 1
                    ENDDO
-                   WRITE ( io, 349 )  dir(dim), dir(dim), mid, dir(dim), &
-                                      mask(mid,dim,:count)
-                ELSEIF ( mask_loop(mid,dim,1) < 0.0_wp .AND.  &
-                         mask_loop(mid,dim,2) < 0.0_wp .AND.  &
+                   WRITE ( io, 349 )  dir(dim), dir(dim), mid, dir(dim), mask(mid,dim,:count)
+                ELSEIF ( mask_loop(mid,dim,1) <  0.0_wp .AND.                                      &
+                         mask_loop(mid,dim,2) <  0.0_wp .AND.                                      &
                          mask_loop(mid,dim,3) == 0.0_wp )  THEN
                    WRITE ( io, 350 )  dir(dim), dir(dim)
                 ELSEIF ( mask_loop(mid,dim,3) == 0.0_wp )  THEN
-                   WRITE ( io, 351 )  dir(dim), dir(dim), mid, dir(dim), &
-                                      mask_loop(mid,dim,1:2)
+                   WRITE ( io, 351 )  dir(dim), dir(dim), mid, dir(dim), mask_loop(mid,dim,1:2)
                 ELSE
-                   WRITE ( io, 351 )  dir(dim), dir(dim), mid, dir(dim), &
-                                      mask_loop(mid,dim,1:3)
+                   WRITE ( io, 351 )  dir(dim), dir(dim), mid, dir(dim), mask_loop(mid,dim,1:3)
                 ENDIF
              ENDDO
@@ -1545,7 +1512,7 @@
 
 !
-!-- Cloud physcis parameters / quantities / numerical methods
+!-- Cloud physics parameters / quantities / numerical methods
     WRITE ( io, 430 )
-    IF ( humidity .AND. .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets)  THEN
+    IF ( humidity  .AND.  .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets)  THEN
        WRITE ( io, 431 )
     ENDIF
@@ -1558,10 +1525,9 @@
 !--
     IF ( constant_diffusion )  THEN
-       WRITE ( io, 451 )  km_constant, km_constant/prandtl_number, &
-                          prandtl_number
+       WRITE ( io, 451 )  km_constant, km_constant/prandtl_number, prandtl_number
     ENDIF
     IF ( .NOT. constant_diffusion)  THEN
        IF ( e_init > 0.0_wp )  WRITE ( io, 455 )  e_init
-       IF ( e_min > 0.0_wp )  WRITE ( io, 454 )  e_min
+       IF ( e_min  > 0.0_wp )  WRITE ( io, 454 )  e_min
        IF ( wall_adjustment )  WRITE ( io, 453 )
     ENDIF
@@ -1573,6 +1539,6 @@
     WRITE ( io, 470 )
     IF ( create_disturbances )  THEN
-       WRITE ( io, 471 )  dt_disturb, disturbance_amplitude,                   &
-                          zu(disturbance_level_ind_b), disturbance_level_ind_b,&
+       WRITE ( io, 471 )  dt_disturb, disturbance_amplitude,                                       &
+                          zu(disturbance_level_ind_b), disturbance_level_ind_b,                    &
                           zu(disturbance_level_ind_t), disturbance_level_ind_t
        IF ( .NOT. bc_lr_cyc  .OR.  .NOT. bc_ns_cyc )  THEN
@@ -1599,6 +1565,5 @@
 !-- Parameters of 1D-model
     IF ( INDEX( initializing_actions, 'set_1d-model_profiles' ) /= 0 )  THEN
-       WRITE ( io, 500 )  end_time_1d, dt_run_control_1d, dt_pr_1d, &
-                          mixing_length_1d, dissipation_1d
+       WRITE ( io, 500 )  end_time_1d, dt_run_control_1d, dt_pr_1d, mixing_length_1d, dissipation_1d
        IF ( damp_level_ind_1d /= nzt+1 )  THEN
           WRITE ( io, 502 )  zu(damp_level_ind_1d), damp_level_ind_1d
@@ -1621,143 +1586,127 @@
 
  99 FORMAT (1X,78('-'))
-100 FORMAT (/1X,'******************************',4X,44('-')/        &
-            1X,'* ',A,' *',4X,A/                               &
+100 FORMAT (/1X,'******************************',4X,44('-')/                                       &
+            1X,'* ',A,' *',4X,A/                                                                   &
             1X,'******************************',4X,44('-'))
-101 FORMAT (35X,'coupled run: ',A/ &
+101 FORMAT (35X,'coupled run: ',A/                                                                 &
             35X,42('-'))
-102 FORMAT (/' Date:               ',A10,4X,'Run:       ',A34/      &
-            ' Time:                 ',A8,4X,'Run-No.:   ',I2.2/     &
+102 FORMAT (/' Date:               ',A10,4X,'Run:       ',A34/                                     &
+            ' Time:                 ',A8,4X,'Run-No.:   ',I2.2/                                    &
             ' Run on host:        ',A10)
 #if defined( __parallel )
-103 FORMAT (' Number of PEs:',10X,I6,4X,'Processor grid (x,y): (',I4,',',I4, &
-              ')',1X,A)
-104 FORMAT (' Number of PEs:',10X,I6,4X,'Tasks:',I4,'   threads per task:',I4/ &
+103 FORMAT (' Number of PEs:',10X,I6,4X,'Processor grid (x,y): (',I4,',',I4,')',1X,A)
+104 FORMAT (' Number of PEs:',10X,I6,4X,'Tasks:',I4,'   threads per task:',I4/                     &
               35X,'Processor grid (x,y): (',I4,',',I4,')',1X,A)
 107 FORMAT (35X,'A 1d-decomposition along ',A,' is used')
 108 FORMAT (35X,'Max. # of parallel I/O streams is ',I5)
-109 FORMAT (35X,'Precursor run for coupled atmos-ocean run'/ &
+109 FORMAT (35X,'Precursor run for coupled atmos-ocean run'/                                       &
             35X,42('-'))
-114 FORMAT (35X,'Coupled atmosphere-ocean run following'/ &
-            35X,'independent precursor runs'/             &
+114 FORMAT (35X,'Coupled atmosphere-ocean run following'/                                          &
+            35X,'independent precursor runs'/                                                      &
             35X,42('-'))
 #endif
-110 FORMAT (/' Numerical Schemes:'/ &
+110 FORMAT (/' Numerical Schemes:'/                                                                &
              ' -----------------'/)
 124 FORMAT (' --> Use the ',A,' turbulence closure (',A,' mode).')
 121 FORMAT (' --> Use the ',A,' approximation for the model equations.')
 111 FORMAT (' --> Solve perturbation pressure via FFT using ',A,' routines')
-112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/ &
+112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/                           &
             '     Iterations (initial/other): ',I3,'/',I3,'  omega =',F6.3)
-113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)', &
-                  ' or Upstream')
+113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)',' or Upstream')
 115 FORMAT ('     FFT and transpositions are overlapping')
-116 FORMAT (' --> Scalar advection via Piascek-Williams-Scheme (Form C3)', &
-                  ' or Upstream')
+116 FORMAT (' --> Scalar advection via Piascek-Williams-Scheme (Form C3)',' or Upstream')
 118 FORMAT (' --> Scalar advection via Bott-Chlond-Scheme')
-119 FORMAT (' --> Galilei-Transform applied to horizontal advection:'/ &
-            '     translation velocity = ',A/ &
+119 FORMAT (' --> Galilei-Transform applied to horizontal advection:'/                             &
+            '     translation velocity = ',A/                                                      &
             '     distance advected ',A,':  ',F8.3,' km(x)  ',F8.3,' km(y)')
 122 FORMAT (' --> Time differencing scheme: ',A)
-123 FORMAT (' --> Rayleigh-Damping active, starts ',A,' z = ',F8.2,' m'/ &
+123 FORMAT (' --> Rayleigh-Damping active, starts ',A,' z = ',F8.2,' m'/                           &
             '     maximum damping coefficient:',F6.3, ' 1/s')
 129 FORMAT (' --> Additional prognostic equation for the specific humidity')
 130 FORMAT (' --> Additional prognostic equation for the total water content')
-131 FORMAT (' --> No pt-equation solved. Neutral stratification with pt = ', &
-                  F6.2, ' K assumed')
+131 FORMAT (' --> No pt-equation solved. Neutral stratification with pt = ',F6.2,' K assumed')
 134 FORMAT (' --> Additional prognostic equation for a passive scalar')
-135 FORMAT (' --> Solve perturbation pressure via ',A,' method (', &
-                  A,'-cycle)'/ &
-            '     number of grid levels:                   ',I2/ &
+135 FORMAT (' --> Solve perturbation pressure via ',A,' method (',A,'-cycle)'/                     &
+            '     number of grid levels:                   ',I2/                                   &
             '     Gauss-Seidel red/black iterations:       ',I2)
-136 FORMAT ('     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', &
-                  I3,')')
-137 FORMAT ('     level data gathered on PE0 at level:     ',I2/ &
-            '     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', &
-                  I3,')'/ &
-            '     gridpoints of coarsest domain (x,y,z):    (',I3,',',I3,',', &
-                  I3,')')
+136 FORMAT ('     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', I3,')')
+137 FORMAT ('     level data gathered on PE0 at level:     ',I2/                                   &
+            '     gridpoints of coarsest subdomain (x,y,z): (',I3,',',I3,',', I3,')'/              &
+            '     gridpoints of coarsest domain (x,y,z):    (',I3,',',I3,',', I3,')')
 139 FORMAT (' --> Loop optimization method: ',A)
 140 FORMAT ('     maximum residual allowed:                ',E10.3)
 141 FORMAT ('     fixed number of multigrid cycles:        ',I4)
-142 FORMAT ('     perturbation pressure is calculated at every Runge-Kutta ', &
-                  'step')
-143 FORMAT ('     Euler/upstream scheme is used for the SGS turbulent ', &
-                  'kinetic energy')
+142 FORMAT ('     perturbation pressure is calculated at every Runge-Kutta ','step')
+143 FORMAT ('     Euler/upstream scheme is used for the SGS turbulent ','kinetic energy')
 144 FORMAT ('     masking method is used')
-150 FORMAT (' --> Volume flow at the right and north boundary will be ', &
-                  'conserved'/ &
+150 FORMAT (' --> Volume flow at the right and north boundary will be ','conserved'/               &
             '     using the ',A,' mode')
 151 FORMAT ('     with u_bulk = ',F7.3,' m/s and v_bulk = ',F7.3,' m/s')
-152 FORMAT (' --> External pressure gradient directly prescribed by the user:',&
-           /'     ',2(1X,E12.5),'Pa/m in x/y direction', &
-           /'     starting from dp_level_b =', F8.3, 'm', A /)
-200 FORMAT (//' Run time and time step information:'/ &
-             ' ----------------------------------'/)
-201 FORMAT ( ' Timestep:             variable     maximum value: ',F6.3,' s', &
-             '    CFL-factor:',F5.2)
-202 FORMAT ( ' Timestep:          dt = ',F6.3,' s'/)
-203 FORMAT ( ' Start time:        ',F11.3,' s'/ &
+152 FORMAT (' --> External pressure gradient directly prescribed by the user:',                    &
+           /'     ',2(1X,E12.5),'Pa/m in x/y direction',                                           &
+           /'     starting from dp_level_b =',F8.3,'m',A/)
+200 FORMAT (//' Run time and time step information:'/                                              &
+            ' ----------------------------------'/)
+201 FORMAT (' Timestep:             variable     maximum value: ',F6.3,' s',                       &
+            '    CFL-factor:',F5.2)
+202 FORMAT (' Timestep:          dt = ',F6.3,' s'/)
+203 FORMAT (' Start time:        ',F11.3,' s'/                                                     &
              ' End time:          ',F11.3,' s')
-204 FORMAT ( A,F11.3,' s')
-205 FORMAT ( A,F11.3,' s',5X,'restart every',17X,F11.3,' s')
-206 FORMAT (/' Time reached:      ',F11.3,' s'/ &
-             ' CPU-time used:       ',F9.3,' s     per timestep:                 ',F9.3,' s'/ &
+204 FORMAT (A,F11.3,' s')
+205 FORMAT (A,F11.3,' s',5X,'restart every',17X,F11.3,' s')
+206 FORMAT (/' Time reached:      ',F11.3,' s'/                                                    &
+             ' CPU-time used:       ',F9.3,' s     per timestep:                 ',F9.3,' s'/      &
              '                                      per second of simulated time: ',F9.3,' s')
-207 FORMAT ( ' Spinup time:       ',F11.3,' s')
-250 FORMAT (//' Computational grid and domain size:'/ &
-              ' ----------------------------------'// &
-              ' Grid length:      dx =    ',F8.3,' m    dy =    ',F8.3, ' m')
-251 FORMAT (  /' Domain size:       x = ',F10.3,' m     y = ',F10.3, &
-              ' m  z(u) = ',F10.3,' m'/)
-253 FORMAT ( '                dz(',I1,') =    ', F8.3, ' m')
-254 FORMAT (//' Number of gridpoints (x,y,z):  (0:',I4,', 0:',I4,', 0:',I4,')'/ &
+207 FORMAT (' Spinup time:       ',F11.3,' s')
+250 FORMAT (//' Computational grid and domain size:'/                                              &
+              ' ----------------------------------'//                                              &
+              ' Grid length:      dx =    ',F8.3,' m    dy =    ',F8.3,' m')
+251 FORMAT (/' Domain size:       x = ',F10.3,' m     y = ',F10.3,' m  z(u) = ',F10.3,' m'/)
+253 FORMAT ('                dz(',I1,') =    ', F8.3, ' m')
+254 FORMAT (//' Number of gridpoints (x,y,z):  (0:',I4,', 0:',I4,', 0:',I4,')'/                    &
             ' Subdomain size (x,y,z):        (  ',I4,',   ',I4,',   ',I4,')'/)
-260 FORMAT (/' The model has a slope in x-direction. Inclination angle: ',F6.2,&
-             ' degrees')
-270 FORMAT (//' Topography information:'/ &
-              ' ----------------------'// &
+260 FORMAT (/' The model has a slope in x-direction. Inclination angle: ',F6.2,' degrees')
+270 FORMAT (//' Topography information:'/                                                          &
+              ' ----------------------'//                                                          &
               1X,'Topography: ',A)
-271 FORMAT (  ' Building size (x/y/z) in m: ',F5.1,' / ',F5.1,' / ',F5.1/ &
-              ' Horizontal index bounds (l/r/s/n): ',I4,' / ',I4,' / ',I4, &
-                ' / ',I4)
-272 FORMAT (  ' Single quasi-2D street canyon of infinite length in ',A, &
-              ' direction' / &
-              ' Canyon height: ', F6.2, 'm, ch = ', I4, '.'      / &
-              ' Canyon position (',A,'-walls): cxl = ', I4,', cxr = ', I4, '.')
-273 FORMAT (  ' Tunnel of infinite length in ',A, &
-              ' direction' / &
-              ' Tunnel height: ', F6.2, / &
-              ' Tunnel-wall depth: ', F6.2      / &
-              ' Tunnel width: ', F6.2 )
-274 FORMAT (  ' Tunnel in ', A, ' direction.' / &
-              ' Tunnel height: ', F6.2, / &
-              ' Tunnel-wall depth: ', F6.2      / &
-              ' Tunnel width: ', F6.2, / &
-              ' Tunnel length: ', F6.2 )
-278 FORMAT (' Topography grid definition convention:'/ &
-            ' cell edge (staggered grid points'/  &
+271 FORMAT (' Building size (x/y/z) in m: ',F5.1,' / ',F5.1,' / ',F5.1/                            &
+            ' Horizontal index bounds (l/r/s/n): ',I4,' / ',I4,' / ',I4,' / ',I4)
+272 FORMAT (' Single quasi-2D street canyon of infinite length in ',A,' direction' /               &
+            ' Canyon height: ', F6.2, 'm, ch = ', I4, '.'      /                                   &
+            ' Canyon position (',A,'-walls): cxl = ', I4,', cxr = ', I4, '.')
+273 FORMAT (' Tunnel of infinite length in ',A,                                                    &
+            ' direction' /                                                                         &
+            ' Tunnel height: ', F6.2, /                                                            &
+            ' Tunnel-wall depth: ', F6.2      /                                                    &
+            ' Tunnel width: ', F6.2 )
+274 FORMAT (' Tunnel in ', A, ' direction.' /                                                      &
+            ' Tunnel height: ', F6.2, /                                                            &
+            ' Tunnel-wall depth: ', F6.2      /                                                    &
+            ' Tunnel width: ', F6.2, /                                                             &
+            ' Tunnel length: ', F6.2 )
+278 FORMAT (' Topography grid definition convention:'/                                             &
+            ' cell edge (staggered grid points'/                                                   &
             ' (u in x-direction, v in y-direction))' /)
-279 FORMAT (' Topography grid definition convention:'/ &
+279 FORMAT (' Topography grid definition convention:'/                                             &
             ' cell center (scalar grid points)' /)
 280 FORMAT (' Complex terrain simulation is activated.')
-281 FORMAT ('    --> Mean inflow profiles are adjusted.' / &
+281 FORMAT ('    --> Mean inflow profiles are adjusted.' /                                         &
             '    --> Elevation of inflow boundary: ', F7.1, ' m' )
-282 FORMAT ('    --> Initial data from 3D-precursor run is shifted' / &
+282 FORMAT ('    --> Initial data from 3D-precursor run is shifted' /                              &
             '        vertically depending on local surface height.')
-300 FORMAT (//' Boundary conditions:'/ &
-             ' -------------------'// &
-             '                     p                    uv             ', &
-             '                     pt'// &
-             ' B. bound.: ',A/ &
+300 FORMAT (//' Boundary conditions:'/                                                             &
+             ' -------------------'//                                                              &
+             '                     p                    uv             ',                          &
+             '                     pt'//                                                           &
+             ' B. bound.: ',A/                                                                     &
              ' T. bound.: ',A)
-301 FORMAT (/'                     ',A// &
-             ' B. bound.: ',A/ &
+301 FORMAT (/'                     ',A//                                                           &
+             ' B. bound.: ',A/                                                                     &
              ' T. bound.: ',A)
 303 FORMAT (/' Bottom surface fluxes are used in diffusion terms at k=1')
 304 FORMAT (/' Top surface fluxes are used in diffusion terms at k=nzt')
-305 FORMAT (//'    Constant flux layer between bottom surface and first ',     &
-              'computational u,v-level:'// &
-             '       z_mo = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,&
-             ' m   kappa =',F5.2/ &
+305 FORMAT (//'    Constant flux layer between bottom surface and first ',                         &
+              'computational u,v-level:'//                                                         &
+             '       z_mo = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,' m   kappa =',F5.2/         &
              '       zeta value range:   ',F8.2,' <= zeta <=',F6.2)
 306 FORMAT ('       Predefined constant heatflux:   ',F9.6,' K m/s')
@@ -1765,5 +1714,5 @@
 308 FORMAT ('       Predefined surface temperature')
 309 FORMAT ('       Predefined constant salinityflux:   ',F9.6,' psu m/s')
-310 FORMAT (//'    1D-Model:'// &
+310 FORMAT (//'    1D-Model:'//                                                                    &
              '       Ri value range:   ',F6.2,' <= Ri <=',F6.2)
 311 FORMAT ('       Predefined constant humidity flux: ',E10.3,' kg/kg m/s')
